--- old/usr/src/head/wchar.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/wchar.h	Sat Aug  2 23:27:17 2014
@@ -120,8 +120,6 @@
 typedef __va_list va_list;
 #endif  /* defined(_XPG6) && !defined(_VA_LIST) */
 
-#ifdef __STDC__
-
 #if !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
 #if __cplusplus >= 199711L
 namespace std {
@@ -192,45 +190,6 @@
 
 #endif	/* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
-#else /* __STDC__ */
-
-#if !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
-extern  int iswalpha();
-extern  int iswupper();
-extern  int iswlower();
-extern  int iswdigit();
-extern  int iswxdigit();
-extern  int iswalnum();
-extern  int iswspace();
-extern  int iswpunct();
-extern  int iswprint();
-extern  int iswgraph();
-extern  int iswcntrl();
-extern  int iswctype();
-extern  wint_t towlower();
-extern  wint_t towupper();
-extern wchar_t *wcswcs();
-extern int wcswidth();
-extern int wcwidth();
-extern wctype_t wctype();
-#endif /* !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE)... */
-
-#if defined(_XGP7) || !defined(_STRICT_SYMBOLS)
-extern size_t wcsnlen();
-extern wchar_t *wcpcpy();
-extern wchar_t *wcpncpy();
-extern size_t wcsxfrm_l();
-extern int wcscoll_l();
-extern wchar_t *wcsdup();
-extern int wcscasecmp();
-extern int wcscasecmp_l();
-extern int wcsncasecmp();
-extern int wcsncasecmp_l();
-extern size_t mbsnrtowcs();
-#endif
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/wctype.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/wctype.h	Sat Aug  2 23:27:17 2014
@@ -25,6 +25,7 @@
 
 /*
  * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -104,7 +105,6 @@
 #define	iswascii(c)	isascii(c)
 
 /* isw*, except iswascii(), are not macros any more.  They become functions */
-#ifdef __STDC__
 
 /* is* also become functions */
 extern	int isphonogram(wint_t);
@@ -119,21 +119,6 @@
 extern	int iswhexnumber(wint_t);
 extern	int iswspecial(wint_t);
 
-#else	/* __STDC__ */
-
-/* is* also become functions */
-extern  int isphonogram();
-extern  int isideogram();
-extern  int isenglish();
-extern  int isnumber();
-extern  int isspecial();
-/* From BSD/MacOS */
-extern	int iswideogram();
-extern	int iswphonogram();
-extern	int iswnumber();
-extern	int iswspecial();
-#endif
-
 #define	iscodeset0(c)	isascii(c)
 #define	iscodeset1(c)	(((c) & WCHAR_CSMASK) == WCHAR_CS1)
 #define	iscodeset2(c)	(((c) & WCHAR_CSMASK) == WCHAR_CS2)
@@ -150,7 +135,6 @@
 typedef struct _locale *locale_t;
 #endif
 
-#if	defined(__STDC__)
 extern wint_t towlower_l(wint_t, locale_t);
 extern wint_t towupper_l(wint_t, locale_t);
 extern wint_t towctrans_l(wint_t, wctrans_t, locale_t);
@@ -168,25 +152,6 @@
 extern int iswxdigit_l(wint_t, locale_t);
 extern wctrans_t wctrans_l(const char *, locale_t);
 extern wctype_t wctype_l(const char *, locale_t);
-#else	/* __STDC__ */
-extern wint_t towlower_l();
-extern wint_t towupper_l();
-extern wint_t towctrans_l();
-extern int iswctype_l();
-extern int iswalnum_l();
-extern int iswalpha_l();
-extern int iswcntrl_l();
-extern int iswdigit_l();
-extern int iswgraph_l();
-extern int iswlower_l();
-extern int iswprint_l();
-extern int iswpunct_l();
-extern int iswspace_l();
-extern int iswupper_l();
-extern int iswxdigit_l();
-extern wctrans_t wctrans_l();
-extern wctype_t wctype_l();
-#endif	/* __STDC__ */
 #endif /* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
 #ifdef	__cplusplus
--- old/usr/src/head/widec.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/widec.h	Sat Aug  2 23:27:17 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -33,13 +35,9 @@
 #ifndef	_WIDEC_H
 #define	_WIDEC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
-#if defined(__STDC__)
 #include <stdio.h>	/* For definition of FILE */
-#endif
 #include <euc.h>
 #include <wchar.h>
 
@@ -47,7 +45,6 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 /* Character based input and output functions */
 extern wchar_t	*getws(wchar_t *);
 extern int	putws(const wchar_t *);
@@ -94,57 +91,6 @@
 
 #endif /* !defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX) */
 
-#else	/* !defined(__STDC__) */
-/* Character based input and output functions */
-extern wchar_t		*getws();
-extern int		putws();
-
-#ifndef getwc
-#define	getwc(p)	fgetwc(p)
-#endif
-#ifndef putwc
-#define	putwc(x, p)	fputwc((x), (p))
-#endif
-#ifndef getwchar
-#define	getwchar()	getwc(stdin)
-#endif
-#ifndef putwchar
-#define	putwchar(x)	putwc((x), stdout)
-#endif
-
-/* wchar_t string operation functions */
-extern wchar_t	*strtows();
-extern wchar_t	*wscpy();
-extern wchar_t	*wsncpy();
-extern wchar_t	*wscat();
-extern wchar_t	*wsncat();
-extern wchar_t	*wschr();
-extern wchar_t	*wsrchr();
-extern wchar_t	*wspbrk();
-extern wchar_t	*wstok();
-
-extern int	wscmp();
-extern int	wsncmp();
-extern int	wslen();
-extern int	wsspn();
-extern int	wscspn();
-extern int	wscoll();
-extern int	wsxfrm();
-
-extern char	*wstostr();
-extern wchar_t	*wsdup();
-extern int	wscol();
-extern double	wstod();
-extern long	wstol();
-extern int	wscasecmp();
-extern int	wsncasecmp();
-extern int	wsprintf();
-#if defined(_LONGLONG_TYPE)
-extern long long	wstoll();
-#endif	/* defined(_LONGLONG_TYPE) */
-
-#endif	/* !defined(__STDC__) */
-
 /* Returns the code set number for the process code c. */
 #define	WCHAR_SHIFT	7
 #define	WCHAR_S_MASK	0x7f
--- old/usr/src/head/wordexp.h	Sat Aug  2 23:27:18 2014
+++ new/usr/src/head/wordexp.h	Sat Aug  2 23:27:18 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef	_WORDEXP_H
 #define	_WORDEXP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -70,13 +70,8 @@
 #define	WRDE_SYNTAX	(7)		/* bad syntax */
 #define	WRDE_NOSYS	(8)		/* function not supported (XPG4) */
 
-#ifdef __STDC__
 extern int wordexp(const char *_RESTRICT_KYWD, wordexp_t *_RESTRICT_KYWD, int);
 extern void wordfree(wordexp_t *);
-#else
-extern int wordexp();
-extern void wordfree();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/xti.h	Sat Aug  2 23:27:18 2014
+++ new/usr/src/head/xti.h	Sat Aug  2 23:27:18 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1996 Sun Microsystems, Inc.	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _XTI_H
 #define	_XTI_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 
 /*
@@ -479,8 +480,6 @@
  * XTI LIBRARY FUNCTIONS
  */
 
-#if defined(__STDC__)
-
 #if defined(_XOPEN_SOURCE) && !defined(_XPG5)
 extern int t_accept(int, int, struct t_call *);
 extern char *t_alloc(int, int, int);
@@ -534,8 +533,6 @@
 extern int t_sysconf(int);
 extern int t_unbind(int);
 
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/man/man7d/Makefile	Sat Aug  2 23:27:18 2014
+++ new/usr/src/man/man7d/Makefile	Sat Aug  2 23:27:18 2014
@@ -12,7 +12,7 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 include		$(SRC)/Makefile.master
@@ -30,6 +30,7 @@
 		audiots.7d	\
 		av1394.7d	\
 		bge.7d		\
+		blkdev.7d	\
 		bscv.7d		\
 		chxge.7d	\
 		console.7d	\
--- /dev/null	Sat Aug  2 23:27:18 2014
+++ new/usr/src/man/man7d/blkdev.7d	Sat Aug  2 23:27:18 2014
@@ -0,0 +1,81 @@
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.
+.Dd "Jul 30, 2014"
+.Dt BLKDEV 7D
+.Os
+.Sh NAME
+.Nm blkdev
+.Nd generic block device driver
+.Sh DESCRIPTION
+The
+.Nm
+driver supports generic block-oriented devices, such as non-volatile
+memory storage devices. It provides a hardware independent layer
+for such storage devices, allowing them to concentrate on the
+hardware-specific details, while
+.Nm
+takes care of all the other details, such as
+.Xr dkio 7I .
+.Lp
+The
+.Nm
+driver only supports block-oriented, random-access devices.  It does
+not support traditional rotational media and does not support
+SCSI commands.
+.Lp
+The most typical use case for
+.Nm
+devices is to be used to host a file system, such as
+.Xr pcfs 7FS
+or
+.Xr zfs 7FS .
+.
+.Sh INTERFACE STABILITY
+.Sy Uncommitted .
+.
+.Sh FILES
+.
+.Bl -tag -compact -width Pa
+.It Pa /dev/dsk/cndnsn
+Block device minor nodes.
+.It Pa /dev/rdsk/cndnsn
+Raw block device minor nodes.
+.El
+.Lp
+In the above, the following substitutions may occur:
+.Bl -tag -offset indent -width Va
+.It Va cn
+A controller number, typically one for each instance of
+each underlying hardware dependent device driver (there can be multiple
+such drivers in the system.)  Controller numbers are dynamically assigned
+by the system.
+.It Va dn
+Generally, each instance of the underlying hardware will have a
+logical unit number as well.
+.It Va sn
+This is the
+.Em slice
+number, representing a subset of the disk.  See
+.Xr dkio 7I .
+.El
+.
+.Sh SEE ALSO
+.Xr devinfo 1M ,
+.Xr fdisk 1M ,
+.Xr mount 1M ,
+.Xr rmformat 1M ,
+.Xr umount 1M ,
+.Xr sd 7D ,
+.Xr pcfs 7FS ,
+.Xr zfs 7FS ,
+.Xr dkio 7I
--- old/usr/src/pkg/manifests/driver-storage-blkdev.mf	Sat Aug  2 23:27:18 2014
+++ new/usr/src/pkg/manifests/driver-storage-blkdev.mf	Sat Aug  2 23:27:18 2014
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -38,8 +39,11 @@
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
 dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
 driver name=blkdev perms="* 0640 root root"
 file path=kernel/drv/$(ARCH64)/blkdev group=sys
 $(i386_ONLY)file path=kernel/drv/blkdev group=sys
+file path=usr/share/man/man7d/blkdev.7d
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/uts/common/sys/acct.h	Sat Aug  2 23:27:18 2014
+++ new/usr/src/uts/common/sys/acct.h	Sat Aug  2 23:27:18 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -82,11 +83,7 @@
 };
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 extern int acct(const char *);
-#else
-extern int acct();
-#endif
 #endif /* !defined(_KERNEL) */
 
 #if defined(_KERNEL)
--- old/usr/src/uts/common/sys/acl.h	Sat Aug  2 23:27:18 2014
+++ new/usr/src/uts/common/sys/acl.h	Sat Aug  2 23:27:18 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -287,13 +289,8 @@
 
 #endif	/* !defined(_KERNEL) */
 
-#if defined(__STDC__)
 extern int acl(const char *path, int cmd, int cnt, void *buf);
 extern int facl(int fd, int cmd, int cnt, void *buf);
-#else	/* !__STDC__ */
-extern int acl();
-extern int facl();
-#endif	/* defined(__STDC__) */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/aiocb.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/aiocb.h	Sat Aug  2 23:27:19 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_AIOCB_H
 #define	_SYS_AIOCB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/fcntl.h>
 #include <sys/siginfo.h>
@@ -40,11 +40,7 @@
 
 typedef struct aiocb {
 	int 		aio_fildes;
-#if	defined(__STDC__)
 	volatile void	*aio_buf;		/* buffer location */
-#else
-	void		*aio_buf;		/* buffer location */
-#endif
 	size_t 		aio_nbytes;		/* length of transfer */
 	off_t 		aio_offset;		/* file offset */
 	int		aio_reqprio;		/* request priority offset */
@@ -59,11 +55,7 @@
 #if	!defined(_KERNEL)
 typedef struct aiocb64 {
 	int 		aio_fildes;
-#if	defined(__STDC__)
 	volatile void	*aio_buf;		/* buffer location */
-#else
-	void		*aio_buf;		/* buffer location */
-#endif
 	size_t 		aio_nbytes;		/* length of transfer */
 	off64_t		aio_offset;		/* file offset */
 	int		aio_reqprio;		/* request priority offset */
--- old/usr/src/uts/common/sys/atomic.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/atomic.h	Sat Aug  2 23:27:19 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_ATOMIC_H
 #define	_SYS_ATOMIC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/inttypes.h>
 
@@ -41,7 +41,6 @@
 #include <asm/atomic.h>
 #endif
 
-#if defined(_KERNEL) || defined(__STDC__)
 /*
  * Increment target.
  */
@@ -54,7 +53,6 @@
 extern void atomic_inc_ulong(volatile ulong_t *);
 #if defined(_KERNEL) || defined(_INT64_TYPE)
 extern void atomic_inc_64(volatile uint64_t *);
-#endif
 
 /*
  * Decrement target
@@ -266,143 +264,6 @@
 extern void membar_consumer(void);
 #endif
 
-#if !defined(_KERNEL) && !defined(__STDC__)
-extern void atomic_inc_8();
-extern void atomic_inc_uchar();
-extern void atomic_inc_16();
-extern void atomic_inc_ushort();
-extern void atomic_inc_32();
-extern void atomic_inc_uint();
-extern void atomic_inc_ulong();
-#if defined(_INT64_TYPE)
-extern void atomic_inc_64();
-#endif /* defined(_INT64_TYPE) */
-extern void atomic_dec_8();
-extern void atomic_dec_uchar();
-extern void atomic_dec_16();
-extern void atomic_dec_ushort();
-extern void atomic_dec_32();
-extern void atomic_dec_uint();
-extern void atomic_dec_ulong();
-#if defined(_INT64_TYPE)
-extern void atomic_dec_64();
-#endif /* defined(_INT64_TYPE) */
-extern void atomic_add_8();
-extern void atomic_add_char();
-extern void atomic_add_16();
-extern void atomic_add_short();
-extern void atomic_add_32();
-extern void atomic_add_int();
-extern void atomic_add_ptr();
-extern void atomic_add_long();
-#if defined(_INT64_TYPE)
-extern void atomic_add_64();
-#endif /* defined(_INT64_TYPE) */
-extern void atomic_or_8();
-extern void atomic_or_uchar();
-extern void atomic_or_16();
-extern void atomic_or_ushort();
-extern void atomic_or_32();
-extern void atomic_or_uint();
-extern void atomic_or_ulong();
-#if defined(_INT64_TYPE)
-extern void atomic_or_64();
-#endif /* defined(_INT64_TYPE) */
-extern void atomic_and_8();
-extern void atomic_and_uchar();
-extern void atomic_and_16();
-extern void atomic_and_ushort();
-extern void atomic_and_32();
-extern void atomic_and_uint();
-extern void atomic_and_ulong();
-#if defined(_INT64_TYPE)
-extern void atomic_and_64();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_inc_8_nv();
-extern uchar_t atomic_inc_uchar_nv();
-extern uint16_t atomic_inc_16_nv();
-extern ushort_t atomic_inc_ushort_nv();
-extern uint32_t atomic_inc_32_nv();
-extern uint_t atomic_inc_uint_nv();
-extern ulong_t atomic_inc_ulong_nv();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_inc_64_nv();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_dec_8_nv();
-extern uchar_t atomic_dec_uchar_nv();
-extern uint16_t atomic_dec_16_nv();
-extern ushort_t atomic_dec_ushort_nv();
-extern uint32_t atomic_dec_32_nv();
-extern uint_t atomic_dec_uint_nv();
-extern ulong_t atomic_dec_ulong_nv();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_dec_64_nv();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_add_8_nv();
-extern uchar_t atomic_add_char_nv();
-extern uint16_t atomic_add_16_nv();
-extern ushort_t atomic_add_short_nv();
-extern uint32_t atomic_add_32_nv();
-extern uint_t atomic_add_int_nv();
-extern void *atomic_add_ptr_nv();
-extern ulong_t atomic_add_long_nv();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_add_64_nv();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_or_8_nv();
-extern uchar_t atomic_or_uchar_nv();
-extern uint16_t atomic_or_16_nv();
-extern ushort_t atomic_or_ushort_nv();
-extern uint32_t atomic_or_32_nv();
-extern uint_t atomic_or_uint_nv();
-extern ulong_t atomic_or_ulong_nv();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_or_64_nv();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_and_8_nv();
-extern uchar_t atomic_and_uchar_nv();
-extern uint16_t atomic_and_16_nv();
-extern ushort_t atomic_and_ushort_nv();
-extern uint32_t atomic_and_32_nv();
-extern uint_t atomic_and_uint_nv();
-extern ulong_t atomic_and_ulong_nv();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_and_64_nv();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_cas_8();
-extern uchar_t atomic_cas_uchar();
-extern uint16_t atomic_cas_16();
-extern ushort_t atomic_cas_ushort();
-extern uint32_t atomic_cas_32();
-extern uint_t atomic_cas_uint();
-extern void *atomic_cas_ptr();
-extern ulong_t atomic_cas_ulong();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_cas_64();
-#endif /* defined(_INT64_TYPE) */
-extern uint8_t atomic_swap_8();
-extern uchar_t atomic_swap_uchar();
-extern uint16_t atomic_swap_16();
-extern ushort_t atomic_swap_ushort();
-extern uint32_t atomic_swap_32();
-extern uint_t atomic_swap_uint();
-extern void *atomic_swap_ptr();
-extern ulong_t atomic_swap_ulong();
-#if defined(_INT64_TYPE)
-extern uint64_t atomic_swap_64();
-#endif /* defined(_INT64_TYPE) */
-
-
-extern int atomic_set_long_excl();
-extern int atomic_clear_long_excl();
-
-extern void membar_enter();
-extern void membar_exit();
-extern void membar_producer();
-extern void membar_consumer();
-
-#endif
-
 #if defined(_KERNEL)
 
 #if defined(_LP64) || defined(_ILP32)
--- old/usr/src/uts/common/sys/auxv.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/auxv.h	Sat Aug  2 23:27:19 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -45,11 +47,7 @@
 	int	a_type;
 	union {
 		long	a_val;
-#ifdef __STDC__
 		void	*a_ptr;
-#else
-		char	*a_ptr;
-#endif
 		void	(*a_fcn)();
 	} a_un;
 } auxv_t;
--- old/usr/src/uts/common/sys/avintr.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/avintr.h	Sat Aug  2 23:27:19 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -41,11 +42,7 @@
 #define	INT_IPL(x) (x)
 #define	AV_INT_SPURIOUS	-1
 
-#ifdef	__STDC__
 typedef uint_t (*avfunc)(caddr_t, caddr_t);
-#else
-typedef uint_t (*avfunc)();
-#endif	/* __STDC__ */
 
 struct autovec {
 
--- old/usr/src/uts/common/sys/cladm.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/cladm.h	Sat Aug  2 23:27:19 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1998-2002 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_CLADM_H
 #define	_SYS_CLADM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -143,11 +143,7 @@
 extern int cladmin(int fac, int cmd, void *data);
 extern int cluster_bootflags;
 #else
-#if defined(__STDC__)
 extern int _cladm(int fac, int cmd, void *data);
-#else	/* !defined(__STDC__) */
-extern int _cladm();
-#endif	/* defined(__STDC__) */
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/ddi.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/ddi.h	Sat Aug  2 23:27:19 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_DDI_H
 #define	_SYS_DDI_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.19	*/
-
 #include <sys/types.h>
 #include <sys/map.h>
 #include <sys/buf.h>
@@ -80,7 +80,6 @@
 #define	PSID	12
 #define	UCRED	13
 
-#ifdef __STDC__
 extern int drv_getparm(uint_t, void *);
 extern int drv_setparm(uint_t, ulong_t);
 extern void drv_usecwait(clock_t);
@@ -89,42 +88,14 @@
 extern void delay(clock_t);
 extern void time_to_wait(clock_t *, clock_t);
 
-#else
-
-extern int drv_getparm();
-extern int drv_setparm();
-extern void drv_usecwait();
-extern clock_t drv_hztousec();
-extern clock_t drv_usectohz();
-extern void delay();
-extern time_to_wait();
-#endif	/* __STDC__ */
-
 /* XXX -- should be changed to major_t */
 /* convert external to internal major number */
 
-#ifdef __STDC__
 extern int etoimajor(major_t);
 /* convert internal to extern major number */
 extern int itoemajor(major_t, int);
-
-#else
-
-extern int etoimajor();
-/* convert internal to extern major number */
-extern int itoemajor();
-#endif	/* __STDC__ */
-
-#if defined(__STDC__)
-
 extern int drv_priv(struct cred *);
 
-#else
-
-extern int drv_priv();
-
-#endif
-
 /*
  * The following declarations take the place of macros in
  * sysmacros.h The undefs are for any case where a driver includes
@@ -139,7 +110,6 @@
 #undef expdev
 
 
-#ifdef __STDC__
 extern major_t getemajor(dev_t);
 extern minor_t geteminor(dev_t);
 extern major_t getmajor(dev_t);
@@ -147,15 +117,6 @@
 extern dev_t makedevice(major_t, minor_t);
 extern o_dev_t cmpdev(dev_t);
 extern dev_t expdev(dev_t);
-#else
-extern major_t getemajor();
-extern minor_t geteminor();
-extern major_t getmajor();
-extern minor_t getminor();
-extern dev_t makedevice();
-extern o_dev_t cmpdev();
-extern dev_t expdev();
-#endif	/* __STDC__ */
 
 /*
  * The following macros from param.h are also being converted to
@@ -167,16 +128,9 @@
 #undef btopr
 #undef ptob
 
-
-#ifdef __STDC__
 extern unsigned long btop(unsigned long);
 extern unsigned long btopr(unsigned long);
 extern unsigned long ptob(unsigned long);
-#else
-extern unsigned long btop();
-extern unsigned long btopr();
-extern unsigned long ptob();
-#endif	/* __STDC__ */
 
 
 /* STREAMS drivers and modules must include stream.h to pick up the */
@@ -192,8 +146,6 @@
 #undef SAMESTR
 #undef datamsg
 
-
-#ifdef __STDC__
 extern struct queue *OTHERQ(queue_t *);	/* stream.h */
 extern struct queue *RD(queue_t *);
 extern struct queue *WR(queue_t *);
@@ -200,25 +152,11 @@
 extern int SAMESTR(queue_t *);
 extern int datamsg(unsigned char);
 
-#else
-
-extern struct queue *OTHERQ();	/* stream.h */
-extern struct queue *RD();
-extern struct queue *WR();
-extern int SAMESTR();
-extern int datamsg();
-#endif	/* __STDC__ */
-
 /* declarations of functions for allocating and deallocating the space */
 /* for a buffer header (just a header, not the associated buffer) */
 
-#ifdef __STDC__
 extern struct buf *getrbuf(int);
 extern void freerbuf(struct buf *);
-#else
-extern struct buf *getrbuf();
-extern void freerbuf();
-#endif	/* __STDC__ */
 
 #ifdef	_KERNEL
 /*
@@ -228,11 +166,7 @@
 
 typedef pfn_t	ppid_t;	/* a 'physical page identifier' - no math allowed! */
 
-#ifdef	__STDC__
 extern ppid_t kvtoppid(caddr_t);
-#else	/* __STDC__ */
-extern ppid_t kvtoppid();
-#endif	/* __STDC__ */
 
 extern int qassociate(queue_t *, int);
 
--- old/usr/src/uts/common/sys/ddidmareq.h	Sat Aug  2 23:27:19 2014
+++ new/usr/src/uts/common/sys/ddidmareq.h	Sat Aug  2 23:27:19 2014
@@ -19,11 +19,10 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
  */
-/*
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
- */
 
 #ifndef	_SYS_DDIDMAREQ_H
 #define	_SYS_DDIDMAREQ_H
@@ -509,13 +508,8 @@
  * defines then it is assumed that one wishes a callback and is providing
  * a function address.
  */
-#ifdef __STDC__
 #define	DDI_DMA_DONTWAIT	((int (*)(caddr_t))0)
 #define	DDI_DMA_SLEEP		((int (*)(caddr_t))1)
-#else
-#define	DDI_DMA_DONTWAIT	((int (*)())0)
-#define	DDI_DMA_SLEEP		((int (*)())1)
-#endif
 
 /*
  * Return values from callback functions.
--- old/usr/src/uts/common/sys/debug.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/debug.h	Sat Aug  2 23:27:20 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -48,7 +50,6 @@
  * ASSERT and is evaluated on both debug and non-debug kernels.
  */
 
-#if defined(__STDC__)
 extern int assfail(const char *, const char *, int);
 #define	VERIFY(EX) ((void)((EX) || assfail(#EX, __FILE__, __LINE__)))
 #if DEBUG
@@ -56,15 +57,6 @@
 #else
 #define	ASSERT(x)  ((void)0)
 #endif
-#else	/* defined(__STDC__) */
-extern int assfail();
-#define	VERIFY(EX) ((void)((EX) || assfail("EX", __FILE__, __LINE__)))
-#if DEBUG
-#define	ASSERT(EX) ((void)((EX) || assfail("EX", __FILE__, __LINE__)))
-#else
-#define	ASSERT(x)  ((void)0)
-#endif
-#endif	/* defined(__STDC__) */
 
 /*
  * Assertion variants sensitive to the compilation data model
--- old/usr/src/uts/common/sys/dirent.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/dirent.h	Sat Aug  2 23:27:20 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -119,11 +121,7 @@
 #endif
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
 extern int getdents(int, struct dirent *, size_t);
-#else
-extern int getdents();
-#endif
 
 /* N.B.: transitional large file interface version deliberately not provided */
 
--- old/usr/src/uts/common/sys/dktp/cm.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/dktp/cm.h	Sat Aug  2 23:27:20 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1992 Sun Microsystems, Inc.  All Rights Reserved.
  */
 
@@ -26,8 +28,6 @@
 #ifndef _SYS_DKTP_CM_H
 #define	_SYS_DKTP_CM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #ifdef	_KERNEL
 #include <sys/conf.h>
@@ -48,11 +48,7 @@
 #ifdef	_KERNEL
 
 #ifndef _SYS_SCSI_SCSI_H
-#ifdef	__STDC__
 typedef	void *	opaque_t;
-#else	/* __STDC__ */
-typedef	char *	opaque_t;
-#endif	/* __STDC__ */
 #endif
 
 #define	PRF		prom_printf
--- old/usr/src/uts/common/sys/dl.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/dl.h	Sat Aug  2 23:27:20 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1997 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef _SYS_DL_H
 #define	_SYS_DL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/isa_defs.h>
 
 #ifdef	__cplusplus
@@ -48,7 +48,6 @@
 #endif
 } dl_t;
 
-#ifdef __STDC__
 extern dl_t	ladd(dl_t, dl_t);
 extern dl_t	lsub(dl_t, dl_t);
 extern dl_t	lmul(dl_t, dl_t);
@@ -56,15 +55,6 @@
 extern dl_t	lshiftl(dl_t, int);
 extern dl_t	llog10(dl_t);
 extern dl_t	lexp10(dl_t);
-#else
-extern dl_t	ladd();
-extern dl_t	lsub();
-extern dl_t	lmul();
-extern dl_t	ldivide();
-extern dl_t	lshiftl();
-extern dl_t	llog10();
-extern dl_t	lexp10();
-#endif	/* __STDC__ */
 
 extern dl_t	lzero;
 extern dl_t	lone;
--- old/usr/src/uts/common/sys/ethernet.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/ethernet.h	Sat Aug  2 23:27:20 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -141,19 +143,11 @@
 extern char *ether_sprintf(struct ether_addr *);
 extern int ether_aton(char *, uchar_t *);
 #else	/* _KERNEL */
-#ifdef  __STDC__
 extern char *ether_ntoa(const struct ether_addr *);
 extern struct ether_addr *ether_aton(const char *);
 extern int ether_ntohost(char *, const struct ether_addr *);
 extern int ether_hostton(const char *, struct ether_addr *);
 extern int ether_line(const char *, struct ether_addr *, char *);
-#else	/* __STDC__ */
-extern char *ether_ntoa();
-extern struct ether_addr *ether_aton();
-extern int ether_ntohost();
-extern int ether_hostton();
-extern int ether_line();
-#endif	/* __STDC__ */
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/fbuf.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/fbuf.h	Sat Aug  2 23:27:20 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1997-1998 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_FBUF_H
 #define	_SYS_FBUF_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3	*/
-
 #include <sys/vnode.h>
 
 #ifdef	__cplusplus
@@ -53,7 +53,6 @@
 	uint_t	fb_count;
 };
 
-#if defined(__STDC__)
 extern int fbread(struct vnode *, offset_t, uint_t, enum seg_rw,
     struct fbuf **);
 extern void fbzero(struct vnode *, offset_t, uint_t, struct fbuf **);
@@ -61,7 +60,6 @@
 extern int fbdwrite(struct fbuf *);
 extern int fbiwrite(struct fbuf *, struct vnode *, daddr_t bn, int bsize);
 extern void fbrelse(struct fbuf *, enum seg_rw);
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/feature_tests.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/feature_tests.h	Sat Aug  2 23:27:20 2014
@@ -20,12 +20,11 @@
  */
 
 /*
+ * Copyright 2013 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-/*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
- */
 
 #ifndef _SYS_FEATURE_TESTS_H
 #define	_SYS_FEATURE_TESTS_H
--- old/usr/src/uts/common/sys/fibre-channel/fc_types.h	Sat Aug  2 23:27:20 2014
+++ new/usr/src/uts/common/sys/fibre-channel/fc_types.h	Sat Aug  2 23:27:20 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -60,11 +62,7 @@
 #ifndef	_SYS_SCSI_SCSI_TYPES_H
 
 
-#ifdef	__STDC__
 typedef void *opaque_t;
-#else	/* __STDC__ */
-typedef char *opaque_t;
-#endif	/* __STDC__ */
 
 #endif /* _SYS_SCSI_SCSI_TYPES_H */
 
